//************************************************************************************************************************** 
//* Blue HttpMail Extension
//* Copyright (c) 2003-2004 Josh Harler
//* 
//* Blue - General Purpose C++ Library
//* Copyright (c) 2002-2004 Josh Harler
//* 
//* This software is provided 'as-is', without any express or implied warranty. In no event
//* will the authors be held liable for any damages arising from the use of this software.
//* 
//* Permission is granted to anyone to use this software for any purpose, including commercial
//* applications, and to alter it and redistribute it freely, subject to the following restrictions:
//* 
//* 	1. The origin of this software must not be misrepresented; you must not claim that you
//* 	wrote the original software. If you use this software in a product, an acknowledgment in the
//* 	product documentation would be appreciated but is not required.
//* 
//* 	2. Altered source versions must be plainly marked as such, and must not be misrepresented as
//* 	being the original software.
//* 
//* 	3. This notice may not be removed or altered from any source distribution.
//*
//*
//* file   Blue/Extension/HttpMail/HttpMail.h
//**

#ifndef __blue_ext_httpmail_HttpMail_h_included__
#define __blue_ext_httpmail_HttpMail_h_included__

// Public Headers ==========================================================================================================

// Blue library headers
#include "Blue/Blue.h"


// Public Defines/Enums/Typedefs/Etc. ======================================================================================

#if defined(BLUE_EXT_HTTPMAIL)
#	define BLUE_EXPORT_HTTPMAIL   BLUE_OBJECT_EXPORT
#else
#	define BLUE_EXPORT_HTTPMAIL   BLUE_OBJECT_IMPORT
#endif


// Public Classes/Structs ==================================================================================================

namespace blue {
namespace ext {
namespace httpmail {

	/**
	 * \class HttpMailException
	 * \brief Base class for HttpMail specific exceptions.
	 * \ingroup HttpMailExceptions
	 */
	class BLUE_EXPORT_HTTPMAIL HttpMailException :public Exception
	{
	public:
		HttpMailException( String desc )
			:Exception(desc) {}

		virtual String getException() const {
			return ("HttpMailException");
		}
	};


}}}	// namespaces


// Public External Variables ===============================================================================================

// Public Function Prototypes ==============================================================================================

// Public Inline Functions =================================================================================================

#endif // include guard
